---
title: SpeechRecognition.onspeechstart
slug: Web/API/SpeechRecognition/onspeechstart
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechRecognition
  - Web Speech API
  - onspeechstart
  - recognition
  - speech
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>onspeechstart</code></strong> property of the {{domxref("SpeechRecognition")}} interface represents an event handler that will run when sound recognised by the speech recognition service as speech has been detected (when the <code><a href="/en-US/docs/Web/API/SpeechRecognition/speechstart_event">speechstart</a></code> event fires.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">mySpeechRecognition.onspeechstart = function() { ... };
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">recognition.onspeechstart = function() {
  console.log('Speech has been detected');
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#dom-speechrecognition-onspeechstart', 'onspeechstart')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognition.onspeechstart")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
